Skip to main content

Get last run's default store's list of keys

GET 

/v2/actors/:actorId/runs/last/key-value-store/keys

Returns a list of keys for the default key-value store of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultKeyValueStoreId and then using the Get list of keys endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

    exclusiveStartKey string

    All keys up to this one (including) are skipped from the result.


    Example: Ihnsp8YrvJ8102Kj
    limit int32

    Possible values: >= 1 and <= 1000

    Number of keys to be returned.


    Default value: 1000
    Example: 100
    collection string

    Limit the results to keys that belong to a specific collection from the key-value store schema. The key-value store need to have a schema defined for this parameter to work.


    Example: postImages
    prefix string

    Limit the results to keys that start with a specific prefix.


    Example: post-images-
    signature string

    Signature used for the access.


    Example: 2wTI46Bg8qWQrV7tavlPI

Status 200

Response Headers
    {
    "data": {
    "items": [
    {
    "key": "second-key",
    "size": 36,
    "recordPublicUrl": "https://api.apify.com/v2/key-value-stores/WkzbQMuFYuamGv3YF/records/second-key?signature=abc123"
    },
    {
    "key": "third-key",
    "size": 128,
    "recordPublicUrl": "https://api.apify.com/v2/key-value-stores/WkzbQMuFYuamGv3YF/records/third-key?signature=abc123"
    }
    ],
    "count": 2,
    "limit": 2,
    "exclusiveStartKey": "some-key",
    "isTruncated": true,
    "nextExclusiveStartKey": "third-key"
    }
    }